Contracts: Bimp API methods
Bimp API methods for the “Contracts” resource (/org2/contract/…): 6 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.
| Method | What it does |
|---|---|
POST /org2/contract/api-read | A request to obtain detailed information for a particular contract |
POST /org2/contract/api-readTypes | A request to obtain detailed information about contract types |
POST /org2/contract/api-readStatuses | A request to obtain detailed information about contract statuses |
POST /org2/contract/api-readList | A request to view a list of users contracts |
POST /org2/contract/api-create | A request to create a new user contract |
POST /org2/contract/api-update | A request to update user contract |
api-read
POST /org2/contract/api-read
A request to obtain detailed information for a particular contract
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | A unique uuid key for user contract |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string (uuid) | A unique uuid key for user`s contract |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
counterparty | string (uuid) | A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request |
comment | string | An optional text field for any additional notes or comments related to the document |
name | string | Contract name |
number | string | The contract number |
printName | string | Printable name |
code | string | |
lineOfBusiness | string (uuid) | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
organization | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
project | string (uuid) | A unique identifier for the Project, obtainable from the /project/api-readList request |
priceList | string (uuid) | A unique identifier for the Price List, obtainable from the /priceList/api-readList request |
main | boolean | |
manager | string (uuid) | A unique identifier for the Manager, obtainable from the /user/api-readList request |
currency | string (uuid) | A unique identifier for the Currency, obtainable from the /currency/api-readList request |
status | string (uuid) | |
contractType | number | A code for the Contract type, obtainable from the /contract/api-readTypes request |
currencyRateSource | number | |
сurrencyRateCalculationPercentage | number |
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-read' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-readTypes
POST /org2/contract/api-readTypes
A request to obtain detailed information about contract types
Response: data field
| Field | Type | Description |
|---|---|---|
[].uuid | string (uuid) | |
[].name | string | |
[].code | number |
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-readTypes' \
-H 'access-token: <company token>'
api-readStatuses
POST /org2/contract/api-readStatuses
A request to obtain detailed information about contract statuses
Response: data field
| Field | Type | Description |
|---|---|---|
[].uuid | string (uuid) | |
[].name | string |
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-readStatuses' \
-H 'access-token: <company token>'
api-readList
POST /org2/contract/api-readList
A request to view a list of users contracts
Response: data field
| Field | Type | Description |
|---|---|---|
[].uuid | string (uuid) | |
[].name | string | |
[].number | string | The contract number |
[].isMain | boolean | |
[].counterparty | object | |
[].counterparty.name | string | |
[].counterparty.uuid | string (uuid) | |
[].currency | object | |
[].currency.name | string | |
[].currency.uuid | string (uuid) | |
[].settlementType | object | |
[].settlementType.name | string | |
[].settlementType.uuid | string (uuid) | |
[].status | object | |
[].status.name | string | |
[].status.uuid | string (uuid) | |
[].project | object | |
[].project.name | string | |
[].project.uuid | string (uuid) | |
[].contractType | object | |
[].contractType.name | string | |
[].contractType.uuid | string (uuid) | |
[].contractType.code | string |
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-readList' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{}'
api-create
POST /org2/contract/api-create
A request to create a new user contract
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Contract name |
counterparty | string (uuid) | yes | A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request |
lineOfBusiness | string (uuid) | yes | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
organization | string (uuid) | yes | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
project | string (uuid) | yes | A unique identifier for the Project, obtainable from the /project/api-readList request |
currency | string (uuid) | yes | A unique identifier for the Currency, obtainable from the /currency/api-readList request |
contractType | number | yes | A code for the Contract type, obtainable from the /contract/api-readTypes request |
comment | string | An optional text field for any additional notes or comments related to the document | |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
priceList | string (uuid) | A unique identifier for the Price List, obtainable from the /priceList/api-readList request | |
manager | string (uuid) | A unique identifier for the Manager, obtainable from the /user/api-readList request | |
status | string (uuid) | ||
number | string | The contract number |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string (uuid) |
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-create' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"name":"string","counterparty":"00000000-0000-0000-0000-000000000000","lineOfBusiness":"00000000-0000-0000-0000-000000000000","organization":"00000000-0000-0000-0000-000000000000","project":"00000000-0000-0000-0000-000000000000","currency":"00000000-0000-0000-0000-000000000000","contractType":1}'
api-update
POST /org2/contract/api-update
A request to update user contract
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | A unique uuid key for user`s contract |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
counterparty | string (uuid) | A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request | |
comment | string | An optional text field for any additional notes or comments related to the document | |
name | string | Contract name | |
number | string | The contract number | |
printName | string | Printable name | |
code | string | ||
lineOfBusiness | string (uuid) | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request | |
organization | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request | |
project | string (uuid) | A unique identifier for the Project, obtainable from the /project/api-readList request | |
priceList | string (uuid) | A unique identifier for the Price List, obtainable from the /priceList/api-readList request | |
manager | string (uuid) | A unique identifier for the Manager, obtainable from the /user/api-readList request | |
currency | string (uuid) | A unique identifier for the Currency, obtainable from the /currency/api-readList request | |
status | string (uuid) |
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-update' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.